DROP DATABASE(7)

NAME
DROP_DATABASE - remove a database

SYNOPSIS

DROP DATABASE [ IF EXISTS ] name

DESCRIPTION

DROP DATABASE drops a database. It removes the catalog entries for the database and deletes the directory containing the data. It can only be executed by the database owner. Also, it cannot be executed while you or anyone else are connected to the target database. (Connect to postgres or any other database to issue this command.)

DROP DATABASE cannot be undone. Use it with care!

PARAMETERS

IF EXISTS
    Do not throw an error if the database does not exist. A notice is issued in this case.

name
    The name of the database to remove.

NOTES

DROP DATABASE cannot be executed inside a transaction block.

This command cannot be executed while connected to the target database. Thus, it might be more convenient to use the program dropdb(1) instead, which is a wrapper around this command.

COMPATIBILITY

There is no DROP DATABASE statement in the SQL standard.

SEE ALSO
CREATE DATABASE (CREATE_DATABASE(7))